$fn=100;

holeSize = 3.86;

offset1 = 7.65 + 3.86/2;
offset2 = 4.15 + 3.86/2;

width = 63.12;
length = 88.39;
thickness = 4.53;
motorSpace = 20;

cylinderHeight = 200;

//translate([width,20,+15])
//rotate([270,0,90])
//import("71534 Lower Extruder Plate.STL");


difference(){
translate([holeSize,-thickness,thickness])
cube([width-holeSize*2,motorSpace+thickness,thickness]);



translate([holeSize*4,motorSpace-10,thickness])

cube([width-holeSize*8,10,thickness]);

}





translate([width/2,9.4,thickness*3+5.5])

rotate([180,0,0])

scale([1,0.9,1])

curveCutout(10);



module curveCutout(radius){

difference(){

cube([radius*2,radius*2,radius*2],center=true);

rotate([90,0,90])

cylinder(r=radius,h=radius*2+1,center=true);

translate([0,-radius,0])

cube([radius*2,radius*2,radius*2],center=true);

translate([0,0,-radius])

cube([radius*2,radius*2,radius*2],center=true);

}

}


difference(){
union(){
hull(){
translate([width-offset1-holeSize/2-holeSize,length+motorSpace-5,thickness])
cube([holeSize*3,5,thickness/**2*/]);

translate([width-offset1-holeSize/2-holeSize,0,thickness])
cube([holeSize*3,5,thickness/**6*/]);
}

hull(){
translate([holeSize,0,thickness])
cube([holeSize*3,5,thickness/**6*/]);

translate([holeSize,length+motorSpace-5,thickness])
cube([holeSize*3,5,thickness/**2*/]);
}
}
translate([-0.5,20,0])
union(){
translate([offset1,offset2,-cylinderHeight/2])
cylinder(r=holeSize/2,h=cylinderHeight);

translate([width-offset1+0.65,offset2,-cylinderHeight/2])
cylinder(r=holeSize/2,h=cylinderHeight);

translate([offset1,length-offset2+0.65,-cylinderHeight/2])
cylinder(r=holeSize/2,h=cylinderHeight);

translate([width-offset1+0.65,length-offset2+0.65,-cylinderHeight/2])
cylinder(r=holeSize/2,h=cylinderHeight);
}
}

//translate([offset1-holeSize,0,thickness])
//cube([holeSize*2,length,thickness]);

difference(){
hull(){
//translate([0,0,thickness])
//cube([width,5,thickness*6]);

translate([width/2-20/2,-thickness,thickness])
cube([20,5,70]);
}

translate([width/2,50,25])
rotate([90,90,0])
cylinder(r=3/2,h=100);

translate([width/2,50,45])
rotate([90,90,0])
cylinder(r=3/2,h=100);

translate([width/2,50,65])
rotate([90,90,0])
cylinder(r=3/2,h=100);

translate([width/2,50,90])
rotate([90,90,0])
cylinder(r=3/2,h=100);
}